| The Red Matrix

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Pages
Functions | Variables
auth.php File Reference

## Functions
| nuke_session ()
| account_verify_password ($email, $pass)

## Variables
if((isset($_SESSION))&&(x($_SESSION,'authenticated'))&&((!(x($_POST,'auth-params')))||($_POST['auth-params']!== 'login'))) | else

## Function Documentation

account_verify_password | ( |  | $email,
|  |  | $pass
| ) |  |

Verify login credentials

Returns account record on success, null on failure

A plugin indicates successful login by setting 'authenticated' to non-zero value and returning a user record Plugins should never set 'authenticated' except to indicate success - as hooks may be chained and later plugins should not interfere with an earlier one that succeeded.

Referenced by api_login(), removeme_post(), and RedBasicAuth\validateUserPass().

nuke_session | ( |  | ) |

Referenced by api_account_logout().

## Variable Documentation

if ((isset($_SESSION))&&(x($_SESSION,'authenticated'))&&((!(x($_POST,'auth-params')))||($_POST['auth-params']!== 'login'))) else

Initial value:
{
if(isset($_SESSION)) {
nuke_session();
}
if((x($_POST,'password')) && strlen($_POST['password']))
$encrypted = hash('whirlpool',trim($_POST['password']))